### Method

# Foundry GitCommitBuilder commit

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_git_commit_builder_commit (
      FoundryGitCommitBuilder* self
    )

#### Description [src]

Creates a commit using the fields from the builder.

Available since: 1.1

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryGitCommit` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.